# Source me to get the correct configure/build/run environment

# Store tracing and disable (module is *way* too verbose)
{ tracing_=${-//[^x]/}; set +x; } 2>/dev/null

module_load() {
  echo "+ module load $*"
  module load $*
}
module_unload() {
  echo "+ module unload $*"
  module unload $*
}
module_purge() {
  echo "+ module purge"
  module purge
}

module load nvidia-hpc-sdk/24.3 cmake/3.29.2 mkl/2024.0 hdf5/1.14.1-2-nvidia-nvhpcx fftw/3.3.10-gcc-nvhpcx pnetcdf/1.12.3-nvidia-nvhpcx netcdf/c-4.9.2_fortran-4.6.1_cxx4-4.3.1-nvidia-nvhpcx aec/1.1.2-gcc python/3.12.1-gcc eccodes/2.34.1-gcc

export TBBROOT=/apps/GPP/ONEAPI/2024.0.1/tbb/latest/
export TBBMALLOC_DIR=${TBBROOT}/lib/
export LD_LIBRARY_PATH=$TBBROOT/lib/:$LD_LIBRARY_PATH
export aec_ROOT=$AEC_DIR
export AEC_ROOT=$AEC_DIR

#export EIGEN_DIR=/apps/EIGEN/3.3.9/INTEL
#export eigen_DIR=/apps/EIGEN/3.3.9/INTEL
#export Eigen3_DIR=/apps/EIGEN/3.3.9/INTEL/

export FC=nvfortran
export F90=nvfortran
export F77=nvfortran
export CC=nvc
export CXX=nvc++

export I_MPI_SHM=spr_avx512
export I_MPI_PLATFORM=spr

export MPIFC=mpif90
export MPIF90=mpif90
export MPIF77=mpif90
export MPICC=mpicc
export MPICXX=mpicxx
